FOREIGN_IDF_READ_DATA(3)

EXPERIMENTAL_FUNC
foreign_idf_read_data - Read data in an IDF image file.

SYNOPSIS
#include <karma_foreign.h>

flag foreign_idf_read_data

(Channel channel, multi_array *multi_desc, char *data, uaddr num_values, ...)

DESCRIPTION
This routine will read the data of an IDF image file from a channel.

channel
    The channel to read from.

multi_desc
    The Karma data structure to write the data into.

data
    An alternate data array to write the FITS data into. If this is NULL, the routine will write the data into the Karma data structure.

num_values
    The number of values to write into the data array. This is used when data is not NULL or skipping is requested.

... The optional attributes are given as pairs of attribute-key attribute-value pairs. This list must be terminated with FA_IDF_READ_DATA_END. See <-foreign_ATT_IDF_READ_DATA-> for a list of defined attributes.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/